### Signal

# Clutter Stage::paint-view

#### Declaration

    void
    paint_view (
      ClutterStage* self,
      ClutterStageView* view,
      MtkRegion* redraw_clip,
      ClutterFrame* frame,
      gpointer user_data
    )

#### Description [src]

The signal is emitted before a `ClutterStageView` is being painted.

The view is painted in the default handler. Hence, if you want to perform some action after the view is painted, like reading the contents of the framebuffer, use `g_signal_connect_after()` or pass `G_CONNECT_AFTER`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`view`

  Type: `ClutterStageView`

  A `ClutterStageView`.

  The data is owned by the caller of the function.

`redraw_clip`

  Type: `MtkRegion`

  A `MtkRegion` with the redraw clip.

  The data is owned by the caller of the function.

`frame`

  Type: `ClutterFrame`

  A `ClutterFrame`.

  The data is owned by the caller of the function.